Commit 6980ccf8 authored by Ulf Hermann's avatar Ulf Hermann

QmlProfiler: Fix Qt version comparison for connection type

The previous code would fail on Qt versions n.0 to n.5 with n > 5.

Change-Id: I7e9d512bab269137862370db86e0da19e250059e
Reviewed-by: default avatarJoerg Bornemann <joerg.bornemann@theqtcompany.com>
parent 5e810504
......@@ -86,8 +86,7 @@ RunControl *QmlProfilerRunControlFactory::create(RunConfiguration *runConfigurat
AnalyzerConnection connection;
const QtSupport::BaseQtVersion *version = QtSupport::QtKitInformation::qtVersion(kit);
if (version) {
QtSupport::QtVersionNumber versionNumber = version->qtVersion();
if (versionNumber.majorVersion >= 5 && versionNumber.minorVersion >= 6)
if (version->qtVersion() >= QtSupport::QtVersionNumber(5, 6, 0))
connection.analyzerSocket = LocalQmlProfilerRunner::findFreeSocket();
else
connection.analyzerPort = LocalQmlProfilerRunner::findFreePort(connection.analyzerHost);
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment